package ru.dbotthepony.kstarbound.client.world

import ru.dbotthepony.kstarbound.world.Chunk
import ru.dbotthepony.kstarbound.world.ChunkPos

class ClientChunk(world: ClientWorld, pos: ChunkPos) : Chunk<ClientWorld, ClientChunk>(world, pos){
	override fun foregroundChanges(cell: Cell) {
		super.foregroundChanges(cell)

		world.forEachRenderRegion(cell) {
			it.foreground.isDirty = true
		}
	}

	override fun backgroundChanges(cell: Cell) {
		super.backgroundChanges(cell)

		world.forEachRenderRegion(cell) {
			it.background.isDirty = true
		}
	}

	override fun liquidChanges(cell: Cell) {
		super.liquidChanges(cell)

		world.forEachRenderRegion(cell) {
			it.liquidIsDirty = true
		}
	}
}
